# Contribution Guidelines

**New to GIT and GitHub?** See [these learning resources](https://help.github.com/articles/git-and-github-learning-resources/) and this [10 min. GIT tutorial](https://try.github.io/levels/1/challenges/1).

Contributions to the vignette "Identifying East and West Germans in the European Social Survey: A demonstration in R" are welcome. Participation is open: anyone can contribute using the standard processes on GitHub.

The procedure presented in the vignette has been implemented using Stata in the following paper:

Joly, Philippe. “Generations and Protest in Eastern Germany: Between Revolution and Apathy.” Comparative Sociology 17, no. 6 (2018): 704–37. (https://doi.org/10.1163/15691330-12341481).

The Stata version of the code is available [here](https://github.com/jolyphil/protest-DE).

The current vignette translates this approach in R. Any suggestion is appreciated and would help with future research.


## Contact me

If you have questions about the project, please email me at: 

jolyphil _at_ hu-berlin _dot_ de


### Altering the vignette content.   

The vignette is rendered from a Rmarkdown file ([here is a useful Rmarkdown tutorial](https://rmarkdown.rstudio.com/lesson-1.html)) located [here](vignette.Rmd).


## Reporting issues

- **Search for existing issues.** Please check to see if someone else has reported the same [issue](https://github.com/jolyphil/ess-east-west/issues).


## Pull requests

I follow the "fork-and-pull" Git workflow.

**NOTE: Be sure to merge the latest from "upstream" before making a pull request!**

- Fork the repo on GitHub
- Clone the project to your own machine
- Commit changes to your own branch
- Push your work back up to your fork
- Submit a Pull request so that we can review your changes
- Try not to pollute your pull request with unintended changes and keep them simple and small. If possible, squash your commits.
- Try to share how your code has been tested before submitting a pull request.
- If your PR resolves an issue, include **closes #ISSUE_NUMBER** in your commit message (or a [synonym](https://help.github.com/articles/closing-issues-via-commit-messages)).
- I will accept or comment on the PR.
- Once accepted your code will be merged to `master`.
