# Identifying East and West Germans in the European Social Survey: A demonstration in R
## Table of Contents

1. [Introduction](#Introduction)<a name="Introduction"></a>
2. [Author](#Author)
3. [Key documents](#Key_documents)
4. [Licenses](#Licenses)
5. [Recommended citation](#Recommended_citation)

## Introduction <a name="Introduction"></a>

As a complement to my (Philippe Joly's) paper on “[Generations and Protest in Eastern Germany](https://doi.org/10.1163/15691330-12341481),” I have prepared a vignette explaining how to identify East and West Germans in the European Social Survey (ESS), while accounting for east-west migration in Germany. The categorization follows a political socialization approach.

The vignette was written in R Markdown and the html output is available on my [website](http://philippejoly.net/files/code/ess-east-west/vignette.html). 

## Author <a name="Author"></a>

- [Philippe Joly](http://philippejoly.net/), Humboldt-Universität zu Berlin & WZB Berlin Social Science Center

## Key documents <a name="Key_documents"></a>

- [Contributing](CONTRIBUTING.md) - How to contribute to the development of this project.
- [Code of conduct](CODE_OF_CONDUCT.md) - The code of conduct that contributors are expected to adhere to.
- [Vignette](vignette.Rmd) - The vignette demonstrating the procedure in R.

## Licenses <a name="Licenses"></a>

### Content
Vignette content license: [![CC BY](https://img.shields.io/badge/CC%20BY-4.0-lightgrey.svg)](https://creativecommons.org/licenses/by/4.0/)

### Code and software   
Software associated with the vignette carries the following license: [![License:MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

## Recommended citation <a name="Recommended_citation"></a>

Philippe Joly. (2019, February 7). jolyphil/ess-east-west: First release (Version 1.0.0). Zenodo. 
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.2559173.svg)](https://doi.org/10.5281/zenodo.2559173)